#
# spec file for package python-zope.security-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2013 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-zope.security-doc
Version:        4.1.1
Release:        lp151.2.5
Summary:        Contains documentation for python-zope.security
License:        ZPL-2.1
Group:          Documentation/HTML
Url:            http://www.python.org/pypi/zope.security
Source0:        https://files.pythonhosted.org/packages/source/z/zope.security/zope.security-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module zope.security = %{version}}
BuildRequires:  python-rpm-macros
# SECTION documentation requirements
BuildRequires:  %{python_module  Sphinx}
BuildRequires:  %{python_module  repoze.sphinx.autointerface}
# /SECTION
# SECTION testing requirements
BuildRequires:  %{python_module  six}
BuildRequires:  %{python_module  zope.testing}
BuildRequires:  %{python_module  zope.testrunner}
# /SECTION
Provides:       %{python_module zope.security-doc = %{version}}
BuildArch:      noarch

%description
This package contains documentation files for python-zope.security.

%prep
%setup -q -n zope.security-%{version}

%build
%{_python_use_flavor python3}
%__python3 setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%install
# nothing to do here

%check
%python_exec %{_bindir}/zope-testrunner --test-path=src -v

%files
%defattr(-,root,root)
%doc build/sphinx/html/

%changelog
* Sun Jul 16 2017 aloisio@gmx.com
- Update to version 4.1.1
  * Fix issue 23: iteration of collections.OrderedDict and its
    various views is now allowed by default on all versions of
    Python.
  * As a further fix for issue 20, iteration of BTree itself is
    now allowed by default.
  4.1.0:
  * When testing PURE_PYTHON environments under tox, avoid
    poisoning the user’s global wheel cache.
  * Drop support for Python 2.6 and 3.2.
  * Add support for Python 3.5 and 3.6.
  * Fix issue 20: iteration of pure-Python BTrees.items(), and
    also creating a list from BTrees.items() on Python 3. The same
    applies for keys() and values().
  4.0.3:
  * Fix iteration over security proxies in Python 3 using the
    pure-Python implementation.
  4.0.2:
  * Fix compatibility with zope.proxy 4.1.5 under PyPy.
  * Fix the very first call to removeSecurityProxy returning
    incorrect results if given a proxy under PyPy.
  4.0.1:
  * Add support for Python 3.4.
- Split docs and tests into separate -doc package to avoid
  dependency loop and other zope-related problems, see
  (gh#/zopefoundation/zope.proxy#18)
- Converted to single-spec
* Tue Jul 30 2013 hpj@urpla.net
- don't ship *.c files
* Mon Jul 29 2013 hpj@urpla.net
- version 4.0.0: initial build
